Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi
Interface TDeploymentInfo

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TDeploymentInfoImpl

    public interface TDeploymentInfo

extends org.apache.xmlbeans.XmlObject

An XML tDeploymentInfo(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

Nested Class Summary
`static class` | `TDeploymentInfo.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`java.util.Calendar` | `getDeployDate()` Gets the "deploy-date" element
`java.lang.String` | `getDeployer()` Gets the "deployer" element
`java.lang.String` | `getDocument()` Gets the "document" element
`java.lang.String` | `getPackage()` Gets the "package" element
`void` | `setDeployDate(java.util.Calendar deployDate)` Sets the "deploy-date" element
`void` | `setDeployer(java.lang.String deployer)` Sets the "deployer" element
`void` | `setDocument(java.lang.String document)` Sets the "document" element
`void` | `setPackage(java.lang.String xpackage)` Sets the "package" element
`org.apache.xmlbeans.XmlDateTime` | `xgetDeployDate()` Gets (as xml) the "deploy-date" element
`org.apache.xmlbeans.XmlString` | `xgetDeployer()` Gets (as xml) the "deployer" element
`org.apache.xmlbeans.XmlString` | `xgetDocument()` Gets (as xml) the "document" element
`org.apache.xmlbeans.XmlString` | `xgetPackage()` Gets (as xml) the "package" element
`void` | `xsetDeployDate(org.apache.xmlbeans.XmlDateTime deployDate)` Sets (as xml) the "deploy-date" element
`void` | `xsetDeployer(org.apache.xmlbeans.XmlString deployer)` Sets (as xml) the "deployer" element
`void` | `xsetDocument(org.apache.xmlbeans.XmlString document)` Sets (as xml) the "document" element
`void` | `xsetPackage(org.apache.xmlbeans.XmlString xpackage)` Sets (as xml) the "package" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getPackage

    java.lang.String getPackage()

  Gets the "package" element

### xgetPackage

    org.apache.xmlbeans.XmlString xgetPackage()

  Gets (as xml) the "package" element

### setPackage

    void setPackage(java.lang.String xpackage)

  Sets the "package" element

### xsetPackage

    void xsetPackage(org.apache.xmlbeans.XmlString xpackage)

  Sets (as xml) the "package" element

### getDocument

    java.lang.String getDocument()

  Gets the "document" element

### xgetDocument

    org.apache.xmlbeans.XmlString xgetDocument()

  Gets (as xml) the "document" element

### setDocument

    void setDocument(java.lang.String document)

  Sets the "document" element

### xsetDocument

    void xsetDocument(org.apache.xmlbeans.XmlString document)

  Sets (as xml) the "document" element

### getDeployDate

    java.util.Calendar getDeployDate()

  Gets the "deploy-date" element

### xgetDeployDate

    org.apache.xmlbeans.XmlDateTime xgetDeployDate()

  Gets (as xml) the "deploy-date" element

### setDeployDate

    void setDeployDate(java.util.Calendar deployDate)

  Sets the "deploy-date" element

### xsetDeployDate

    void xsetDeployDate(org.apache.xmlbeans.XmlDateTime deployDate)

  Sets (as xml) the "deploy-date" element

### getDeployer

    java.lang.String getDeployer()

  Gets the "deployer" element

### xgetDeployer

    org.apache.xmlbeans.XmlString xgetDeployer()

  Gets (as xml) the "deployer" element

### setDeployer

    void setDeployer(java.lang.String deployer)

  Sets the "deployer" element

### xsetDeployer

    void xsetDeployer(org.apache.xmlbeans.XmlString deployer)

  Sets (as xml) the "deployer" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD